> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Clusters

> List inventory clusters (auto-scoped to the caller's grants).



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/inventory/clusters
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/inventory/clusters:
    get:
      tags:
        - admin-inventory
      summary: List Clusters
      description: List inventory clusters (auto-scoped to the caller's grants).
      operationId: list_clusters_api_admin_inventory_clusters_get
      parameters:
        - name: vaultEnabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: >-
              If true, return only vault-enabled clusters; if false, only
              non-vault-enabled. Omit to include both.
            title: Vaultenabled
          description: >-
            If true, return only vault-enabled clusters; if false, only
            non-vault-enabled. Omit to include both.
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Case-insensitive substring match against cluster name or id.
            title: Search
          description: Case-insensitive substring match against cluster name or id.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip.
            default: 0
            title: Offset
          description: Number of items to skip.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Max items to return (1-100).
            default: 20
            title: Limit
          description: Max items to return (1-100).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericPaginationResponse_list_InventoryClusterSummary__
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericPaginationResponse_list_InventoryClusterSummary__:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of items available in the dataset
          default: 0
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Number of items to skip before starting to collect the result set
          default: 0
        limit:
          type: integer
          minimum: 0
          title: Limit
          description: Maximum number of items to return
          default: 100
        data:
          items:
            $ref: '#/components/schemas/InventoryClusterSummary'
          type: array
          title: Data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      required:
        - data
      title: GenericPaginationResponse[list[InventoryClusterSummary]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    InventoryClusterSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        status:
          type: string
          title: Status
        vaultSshCaEnabled:
          type: boolean
          title: Vaultsshcaenabled
      type: object
      required:
        - id
        - name
        - status
        - vaultSshCaEnabled
      title: InventoryClusterSummary
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````